Name:          libtorrent
License:       GPLv2+
Group:         System Environment/Libraries
Version:       0.13.2
Release:       1%{?dist}
Summary:       BitTorrent library with a focus on high performance & good code
URL:           http://libtorrent.rakshasa.no/
Source0:       http://libtorrent.rakshasa.no/downloads/%{name}-%{version}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: pkgconfig
BuildRequires: openssl-devel
BuildRequires: libsigc++20-devel

Requires:      libsigc++20

%description
LibTorrent is a BitTorrent library written in C++ for *nix, with a focus 
on high performance and good code. The library differentiates itself 
from other implementations by transfering directly from file pages to 
the network stack. On high-bandwidth connections it is able to seed at 
3 times the speed of the official client.

%package devel
Summary: Libtorrent development environment
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header and library definition files for developing applications
with the libtorrent libraries.

%prep
%setup

%build

# avoid gcc-4.1 bug
%ifarch i386
    %{?el5:export CFLAGS="$CFLAGS -pthread -march=i486"}
    %{?el5:export CXXFLAGS="$CXXFLAGS -pthread -march=i486"}
%endif

%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL README NEWS
%{_libdir}/libtorrent.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/libtorrent.pc
%{_includedir}/torrent
%{_libdir}/*.so

%changelog
* Mon May 07 2012 Denis Fateyev <denis@fateyev.com> - 0.13.2-1.denf
- libtorrent 0.13.2 version

* Sun Jul 24 2011 Denis Fateyev <denis@fateyev.com> - 0.12.9-1.denf
- libtorrent 0.12.9 version

* Thu Dec 10 2009 Denis Fateyev <denis@fateyev.com> - 0.12.6-1.el5
- libtorrent 0.12.6 version

* Sat Aug 22 2009 Denis Fateyev <denis@fateyev.com> - 0.12.4-1.el5
- Some cleanup, now works under centos5

* Fri Jan  9 2009 Ilyas R. Khasyanov <umask00@gmail.com> - 0.12.4-umask.1
- Initial build for umask repo

* Wed Nov 26 2008 Conrad Meyer <konrad@tylerc.org> - 0.12.4-1
- Bump to 0.12.4.

* Tue Nov 18 2008 Conrad Meyer <konrad@tylerc.org> - 0.12.3-1
- Bump to 0.12.3.

* Thu Aug  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.11.8-5
- fix license tag

* Sat Apr  5 2008 Christopher Aillon <caillon@redhat.com> - 0.11.8-4
- Add missing #includes so this compiles against GCC 4.3

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.11.8-3
- Autorebuild for GCC 4.3

* Fri Dec 07 2007 Release Engineering <rel-eng at fedoraproject dot org> - 0.11.8-2
- Rebuild for deps

* Tue Sep 18 2007 Marek Mahut <mmahut at fedoraproject dot org> - 0.11.8-1
- New upstream version

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.11.4-2
- Rebuild for selinux ppc32 issue.

* Thu Jun 28 2007 Chris Chabot <chabotc@xs4all.nl> - 0.11.4-1
- New upstream version

* Sun Nov 26 2006 Chris Chabot <chabotc@xs4all.nl> - 0.10.4-1
- New upstream version
- Compile with -Os to work around a gcc 4.1 incompatibility

* Mon Oct 02 2006 Chris Chabot <chabotc@xs4all.nl> - 0.10.2-3
- Bump EVR to fix broken upgrade path (BZ #208985)

* Fri Sep 29 2006 Chris Chabot <chabotc@xs4all.nl> - 0.10.2-1
- New upstream release

* Mon Sep 11 2006 Chris Chabot <chabotc@xs4all.nl> - 0.10.0-3
- FC6 rebuild, re-tag

* Mon Sep 11 2006 Chris Chabot <chabotc@xs4all.nl> - 0.10.0-2
- FC6 rebuild

* Sun Aug 13 2006 Chris Chabot <chabotc@xs4all.nl> - 0.10.0-1
- Upgrade to 0.10.0

* Sat Jun 17 2006 - Chris Chabot <chabotc@xs4all.nl> - 0.9.3-1
- Upgrade to new upstream version 0.9.3

* Sat Jan 14 2006 - Chris Chabot <chabotc@xs4all.nl> - 0.8.2-2
- Improved general summary & devel package description 
- Simplified devel package includedir files section
- Removed openssl as requires, its implied by .so dependency
- Correct devel package Group

* Wed Jan 11 2006 - Chris Chabot <chabotc@xs4all.nl> - 0.8.2-1
- Initial version
